/*
 * @Author: Kane
 * @Date: 2022-12-14 15:12:46
 * @LastEditors: Kane
 * @LastEditTime: 2022-12-17 12:20:31
 * @FilePath: \admin_system\src\main.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// import installElementPlus from './plugins/element'
import("./css/root.css");
import("./css/normalize.css");
import("element-plus/dist/index.css");

import ElementPlus from "element-plus";
import axios from "axios";

const app = createApp(App)

//注入axios
app.config.globalProperties.$axios = axios;

app.use(ElementPlus);
app.use(store).use(router).mount('#app')